package com.example.fuzzControll.controller;

import com.example.fuzzControll.pojo.vo.AjaxResult;
import com.example.fuzzControll.pojo.vo.CmdStartParams;
import com.example.fuzzControll.service.TestService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * aflnet测试控制
 */
@RestController
@RequestMapping("/test")
public class TestControler {
    @Autowired
    TestService service;

    /**
     * 测试启动
     */
    @RequestMapping(value = "/testStart", method = RequestMethod.POST)
    public AjaxResult list(@RequestBody final CmdStartParams cmdStartParams) {
        try {
            new Thread(new Runnable() {
                @Override
                public void run() {
                    service.testStart(cmdStartParams);
                }
            }).start();
        } catch (Exception e) {
            return AjaxResult.error("测试启动失败！");
        }
        return AjaxResult.success("测试启动成功！");
    }

    /**
     * 测试停止
     */
    @RequestMapping(value = "/testStop", method = RequestMethod.GET)
    public AjaxResult testStop() {
        try {
            service.testStop();
        } catch (Exception e) {
            return AjaxResult.error("测试停止失败！");
        }
        return AjaxResult.success("测试停止成功！");
    }
}

